## NAME

r.report - Reports statistics for raster maps.

## KEYWORDS

raster, statistics

## SYNOPSIS

r.report
r.report --help
r.report [-hfenaci] map=name[,name,...] [units=string[,string,...]] [output=name] [null_value=string] [page_length=integer] [page_width=integer] [nsteps=integer] [sort=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-h
  Suppress page headers
-f
  Use formfeeds between pages
-e
  Scientific format
-n
  Do not report no data value
-a
  Do not report cells where all maps have no data
-c
  Report for cats floating-point ranges (floating-point maps only)
-i
  Read floating-point map as integer (use map's quant rules)
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name[,name,...] [required]
  Name of raster map(s) to report on
units=string[,string,...]
  Units to report
  Options: mi, me, k, a, h, c, p
  mi: area in square miles
  me: area in square meters
  k: area in square kilometers
  a: area in acres
  h: area in hectares
  c: number of cells
  p: percent cover
output=name
  Name for output file to hold the report
  If no output file given report is printed to standard output
null_value=string
  String representing NULL value
  Default: *
page_length=integer
  Page length
  Default: 0
page_width=integer
  Page width
  Default: 79
nsteps=integer
  Number of floating-point subranges to collect stats from
  Default: 255
sort=string
  Sort output statistics by cell counts
  Default: sorted by categories or intervals
  Options: asc, desc
  asc: Sort by cell counts in ascending order
  desc: Sort by cell counts in descending order

## DESCRIPTION

r.report allows the user to set up a series of report parameters to be applied to a raster map, and creates a report. The report will print out to the standard output if output parameter is not given.

The report itself consists of two parts, a header section and the main body of the report.

The header section of the report identifies the raster map(s) (by map name and title), location, mapset, report date, and the region of interest. The area of interest is described in two parts: the user's current geographic region is presented, and the mask is presented (if any is used).

The main body of the report consists of from one to three tables which present the statistics for each category and the totals for each unit column. Note that the statistics is always computed in the current geographical region.

When multiple (typically two) raster maps are specified, cross-tabulation table for each combination of categories in the raster maps will be computed and formatted in a human-readable way (see example).

## NOTES

Note that, unlike r.stats, r.report allows the user to select the specific units of measure in which statistics will be reported. To output computer-friendly data suitable for importing into a spreadsheet use the r.stats module. In fact r.report is running r.stats in the background and reformatting the results to be more human-friendly.

## EXAMPLE

Report sorted areas in square miles and acres for each category. No-data are not reported (see -n flag).

    r.report -n map=geology_30m units=mi,a sort=desc

    +-----------------------------------------------------------------------------+
    |                         RASTER MAP CATEGORY REPORT                          |
    |LOCATION: nc_spm_08_grass7                           Fri Dec  6 17:00:21 2013|
    |-----------------------------------------------------------------------------|
    |          north: 279073.97546639    east: 798143.31179672                    |
    |REGION    south: 113673.97546639    west: 595143.31179672                    |
    |          res:               200    res:              200                    |
    |-----------------------------------------------------------------------------|
    |MASK: none                                                                   |
    |-----------------------------------------------------------------------------|
    |MAP: South-West Wake county: geology derived from vector map (geology_30m in |
    |-----------------------------------------------------------------------------|
    |                 Category Information                  |    square|          |
    |  #|description                                        |     miles|     acres|
    |-----------------------------------------------------------------------------|
    |217|CZfg . . . . . . . . . . . . . . . . . . . . . . . | 27.783911|17,781.703|
    |270|CZig . . . . . . . . . . . . . . . . . . . . . . . | 26.162282|16,743.861|
    |405|CZbg . . . . . . . . . . . . . . . . . . . . . . . |  9.698886|  6207.287|
    |262|CZlg . . . . . . . . . . . . . . . . . . . . . . . |  7.629379|  4882.802|
    |862|CZam . . . . . . . . . . . . . . . . . . . . . . . |  2.532830|  1621.011|
    |910|CZbg . . . . . . . . . . . . . . . . . . . . . . . |  1.683405|  1077.379|
    |583|CZve . . . . . . . . . . . . . . . . . . . . . . . |  0.972977|   622.706|
    |921|Km . . . . . . . . . . . . . . . . . . . . . . . . |  0.463323|   296.526|
    |766|CZg. . . . . . . . . . . . . . . . . . . . . . . . |  0.324326|   207.569|
    |720|CZam . . . . . . . . . . . . . . . . . . . . . . . |  0.185329|   118.611|
    |946|CZam . . . . . . . . . . . . . . . . . . . . . . . |  0.138997|    88.958|
    |948|CZam . . . . . . . . . . . . . . . . . . . . . . . |  0.030888|    19.768|
    |-----------------------------------------------------------------------------|
    |TOTAL                                                  | 77.606534|49,668.182|
    +-----------------------------------------------------------------------------+

Report areas for each category of land use for each zipcode (included only part of the table):

    r.report map=zipcodes@PERMANENT,landclass96@PERMANENT units=h,p

    +-----------------------------------------------------------------------------+
    |                         RASTER MAP CATEGORY REPORT                          |
    |LOCATION: nc_spm_08_latest                           Tue Feb 11 10:10:46 2014|
    |-----------------------------------------------------------------------------|
    |          north: 228527.25    east: 644971                                   |
    |REGION    south: 215018.25    west: 629980                                   |
    |          res:        28.5    res:    28.5                                   |
    |-----------------------------------------------------------------------------|
    |MASK: none                                                                   |
    |-----------------------------------------------------------------------------|
    |MAPS: South West Wake: Zipcode areas derived from vector map (zipcodes@PERMAN|
    |        South-West Wake county: Simplified landuse classes (landclass96@PERMA|
    |-----------------------------------------------------------------------------|
    |                   Category Information                    |          |   %  |
    |    #|description                                          |  hectares| cover|
    |-----------------------------------------------------------------------------|
    |27511|CARY                                                 |  1053.813|  5.20|
    |     |-----------------------------------------------------|----------|------|
    |     |1|developed. . . . . . . . . . . . . . . . . . . . . |   197.214| 18.71|
    |     |3|herbaceous . . . . . . . . . . . . . . . . . . . . |    25.017|  2.37|
    |     |4|shrubland. . . . . . . . . . . . . . . . . . . . . |    58.563|  5.56|
    |     |5|forest . . . . . . . . . . . . . . . . . . . . . . |   771.313| 73.19|
    |     |6|water. . . . . . . . . . . . . . . . . . . . . . . |     1.625|  0.15|
    |     |*|no data. . . . . . . . . . . . . . . . . . . . . . |     0.081|  0.01|
    |-----------------------------------------------------------|----------|------|
    |27513|CARY                                                 |   204.525|  1.01|
    |     |-----------------------------------------------------|----------|------|
    |     |1|developed. . . . . . . . . . . . . . . . . . . . . |    32.571| 15.93|
    |     |3|herbaceous . . . . . . . . . . . . . . . . . . . . |     6.011|  2.94|
    |     |4|shrubland. . . . . . . . . . . . . . . . . . . . . |    51.659| 25.26|
    |     |5|forest . . . . . . . . . . . . . . . . . . . . . . |   114.284| 55.88|
    |-----------------------------------------------------------|----------|------|
    ...
    |-----------------------------------------------------------------------------|
    |TOTAL                                                      |22,968.900|100.00|
    +-----------------------------------------------------------------------------+

## SEE ALSO

r.stats, g.region, r.coin, r.describe, r.info, r.univar

## AUTHORS

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Sort option by Martin Landa, Czech Technical University in Prague, 2013

## SOURCE CODE

Available at: r.report source code (history)

Accessed: Friday Jun 05 19:25:28 2026

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual